[arch-commits] Commit in python-oslo-concurrency/repos (2 files)
Felix Yan
felixonmars at gemini.archlinux.org
Tue Nov 30 21:43:16 UTC 2021
Date: Tuesday, November 30, 2021 @ 21:43:15
Author: felixonmars
Revision: 1058967
archrelease: copy trunk to community-staging-any
Added:
python-oslo-concurrency/repos/community-staging-any/
python-oslo-concurrency/repos/community-staging-any/PKGBUILD
(from rev 1058965, python-oslo-concurrency/trunk/PKGBUILD)
----------+
PKGBUILD | 35 +++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
Copied: python-oslo-concurrency/repos/community-staging-any/PKGBUILD (from rev 1058965, python-oslo-concurrency/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2021-11-30 21:43:15 UTC (rev 1058967)
@@ -0,0 +1,35 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-oslo-concurrency
+pkgver=4.5.0
+pkgrel=2
+pkgdesc="OpenStack library for all concurrency-related code"
+arch=('any')
+url="https://pypi.python.org/pypi/oslo.concurrency/$pkgver"
+license=('Apache')
+depends=('python-pbr' 'python-oslo-config' 'python-oslo-i18n' 'python-oslo-utils'
+ 'python-fasteners')
+makedepends=('python-setuptools')
+checkdepends=('python-oslotest' 'python-eventlet')
+source=("https://github.com/openstack/oslo.concurrency/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('17322fc21d98f0821be20015abd6d1dc1d9af48c9669bc1c3b4f22e529fa49dfb741baae7282ec9f7312040b2227d1657fea4c76089e64fb83d66c9f89d9e78a')
+
+export PBR_VERSION=$pkgver
+
+build() {
+ cd oslo.concurrency-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd oslo.concurrency-$pkgver
+ stestr run || : # "1 failure about raising rlimit"
+}
+
+package() {
+ cd oslo.concurrency-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list